﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Search_jQuery_AJAX_EF_MVC.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            NorthwindEntities entities = new NorthwindEntities();
            return View(entities.Customers.Take(10));
        }

        [HttpPost]
        public JsonResult SearchCustomers(string customerName)
        {
            NorthwindEntities entities = new NorthwindEntities();
            var customers = from c in entities.Customers
                            where c.ContactName.Contains(customerName)
                            select c;
            return Json(customers.ToList().Take(10));
        }
    }
}